AICOMBO
EN
  • CN
  • EN
EN
  • CN
  • EN
EN
  • CN
  • EN
  1. List Models
  • User Guide
  • Audio
    • Text to Speech
      POST
    • Gemini Native
      POST
  • Chat
    • Native OpenAI Format
      • ChatCompletions Format
      • Responses Format
      • Responses Async Task Retrieval
      • Responses Async Task Deletion
      • Responses Async Task Retrieval (Streaming)
    • Native Gemini Format
      • Gemini Chat
    • Native Vertex AI Format
      • Gemini Chat
    • Native Anthropic Format
      • Native Claude Format
      • Native Claude Format - Token Count
  • Completions
    • Native OpenAI Format
      POST
  • Images
    • Gemini Format
      • Responses Format
      • OpenAI Compatible
  • Models
    • List Models
      • Native OpenAI Format
        GET
      • Native Gemini Format
        GET
  1. List Models

Native OpenAI Format

GET
https://api.aicombo.com/v1/models
Retrieve the list of currently available models.
The response format is automatically determined based on the request headers:
When the x-api-key and anthropic-version headers are present, the Anthropic format is returned
When the x-goog-api-key header or the key query parameter is present, the Gemini format is returned. Full Gemini path: /v1/models/{model_name}?key={your_token}
Otherwise, the OpenAI format is returned by default

请求参数

Query 参数

Header 参数

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location 'https://api.aicombo.com/v1/models?key=' \
--header 'x-api-key: ' \
--header 'anthropic-version;' \
--header 'x-goog-api-key: ' \
--header 'Authorization: Bearer '

返回响应

🟢200Success
application/json
Bodyapplication/json

示例
{
    "data": [
        {
            "id": "imagen-4.0-ultra-generate-001",
            "object": "model",
            "created": 1626777600,
            "owned_by": "vertex-ai",
            "supported_endpoint_types": [
                "image-generation",
                "gemini",
                "openai"
            ]
        },
        {
            "id": "gemini-2.5-pro",
            "object": "model",
            "created": 1626777600,
            "owned_by": "vertex-ai",
            "supported_endpoint_types": [
                "gemini",
                "openai"
            ]
        },
        {
            "id": "deep-research-max-preview-04-2026",
            "object": "model",
            "created": 1626777600,
            "owned_by": "custom",
            "supported_endpoint_types": [
                "gemini",
                "openai"
            ]
        }
    ],
    "object": "list",
    "success": true
}
上一页
OpenAI Compatible
下一页
Native Gemini Format
Built with